Base Language - Feature #1625

implement OUTPUT TO PRINTER on Windows
10/21/2012 09:54 AM - Greg Shah

Status: WIP Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 24.00 hours

Target version:

billable: No version:
vendor_id: GCD

Description

History

#1 - 10/31/2012 01:42 PM - Greg Shah

- Target version set to Milestone 7

#2 - 04/25/2013 11:13 AM - Greg Shah

- Target version changed from Milestone 7 to Milestone 12

#3 - 04/25/2013 11:14 AM - Greg Shah
- Estimated time changed from 12.00 to 24.00

#4 - 09/06/2013 07:28 AM - Greg Shah
- Status changed from New to WIP

- Assignee set to Vadim Gindin

Please see #1631 for details on how the PRINTER option works for Linux/UNIX. When used on Linux, the PRINTER destination causes a child
process to be launched with the command line "Ip -s" and all output is written to the STDIN of that child process. This is equivalent to:

OUTPUT THROUGH Ip -s.

On Windows, the same 4GL code will drive the GUI printer environment. So the converted code must be the same and the runtime must select a
different implementation based on the platform on which it runs.

#5 - 02/20/2014 04:45 PM - Greg Shah

- Subject changed from implement OUTPUT TO PRINTER on Linux/UNIX (contrary to the docs, it does work there) to implement OUTPUT TO
PRINTER on Windows

The Linux/UNIX support for OUTPUT TO PRINTER is already done from the work in #1631. The remaining work for this task is the Windows
implementation.

#6 - 03/23/2016 04:56 PM - Greg Shah
- Target version deleted (Milestone 12)

- Assignee deleted (Vadim Gindin)
